Foro de debate

empezando con R - me da este error

 
Imagen de Ernesto Szini
empezando con R - me da este error
de Ernesto Szini - viernes, 10 de febrero de 2017, 23:58
 


Buenos Días Estimados Coforeros 

Estoy empezando a utilizar R, y ya me estoy dando contra las paredes ...

Estoy siguiendo unas prácticas de un libro que utiliza R, y en este contexto, bajé

código ya preparado.


Estoy usando la versión 3.3.2, sobre windows ..  e intento instalar el package "e1071"

inicialmente puse

options(repos=structure(c(CRAN="http://cran.stat.auckland.ac.nz/")))

y luego

install.packages("e1071", dependencies = "TRUE", type = "source")

y me da este error :


> install.packages("e1071", dependencies = "TRUE", type = "source")

Installing package into ‘C:/Users/DATAIQ/Documents/R/win-library/3.3’

(as ‘lib’ is unspecified)

Error in available[p1, dependencies, drop = FALSE] : 

  subíndice fuera de  los límites

No se por donde buscar que es lo que está mal !!

Alguien me podrá orientar ??


desde ya muchas gracias,


Ernesto


eszini at gmail.com








Imagen de Manuel Muñoz Márquez
Re: empezando con R - me da este error
de Manuel Muñoz Márquez - lunes, 13 de febrero de 2017, 23:40
 

Buenas:

Para instalar un paquete es suficiente con que des la instrucción

install.packages("e1071")

Aparecerá un cuadro de diálogo donde seleccionar el servidor espejo. Si con el servidor que elijas no funciona prueba con otro espejo, cerrando y abriendo R de nuevo.

Saludos.